<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginPermanentCrossHair.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d69/_plugin_permanent_cross_hair_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginPermanentCrossHair.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d69/_plugin_permanent_cross_hair_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PluginPermanentCrossHair <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#acb2126e4f7ae79367f00dfaae098be49">    3</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../d5/dbf/class_hud.html">Hud</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#acb2126e4f7ae79367f00dfaae098be49">m_Hud</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a4870610d6ba8fdc4d26fd6d28768d78d">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a4870610d6ba8fdc4d26fd6d28768d78d">SwitchPermanentCrossHair</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">if</span>(!<a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#a7e028b22c7372ffd41bf3287479fdcdb">m_Hud</a>)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#a7e028b22c7372ffd41bf3287479fdcdb">m_Hud</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">GetMission</a>().<a class="code hl_function" href="../../db/dad/class_mission.html#a9ac668e4ab6129b80993d4e6652bb890">GetHud</a>();</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#a7e028b22c7372ffd41bf3287479fdcdb">m_Hud</a>.<a class="code hl_function" href="../../d5/dbf/class_hud.html#a2a017ff3c7eddff25d74b8db38814458">SetPermanentCrossHair</a>(state);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>}</div>
<div class="ttc" id="a_display_status_8c_html_a7e028b22c7372ffd41bf3287479fdcdb"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#a7e028b22c7372ffd41bf3287479fdcdb">m_Hud</a></div><div class="ttdeci">Hud m_Hud</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00029">DisplayStatus.c:29</a></div></div>
<div class="ttc" id="aclass_c_game_html_aedfacca42304fed9eff41cbb197f73a7"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aedfacca42304fed9eff41cbb197f73a7">CGame::GetMission</a></div><div class="ttdeci">proto native Mission GetMission()</div></div>
<div class="ttc" id="aclass_hud_html"><div class="ttname"><a href="../../d5/dbf/class_hud.html">Hud</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00565">gameplay.c:566</a></div></div>
<div class="ttc" id="aclass_hud_html_a2a017ff3c7eddff25d74b8db38814458"><div class="ttname"><a href="../../d5/dbf/class_hud.html#a2a017ff3c7eddff25d74b8db38814458">Hud::SetPermanentCrossHair</a></div><div class="ttdeci">void SetPermanentCrossHair(bool show)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00604">gameplay.c:604</a></div></div>
<div class="ttc" id="aclass_mission_html_a9ac668e4ab6129b80993d4e6652bb890"><div class="ttname"><a href="../../db/dad/class_mission.html#a9ac668e4ab6129b80993d4e6652bb890">Mission::GetHud</a></div><div class="ttdeci">Hud GetHud()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00637">gameplay.c:637</a></div></div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a4870610d6ba8fdc4d26fd6d28768d78d"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a4870610d6ba8fdc4d26fd6d28768d78d">PluginBase::SwitchPermanentCrossHair</a></div><div class="ttdeci">void SwitchPermanentCrossHair(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d69/_plugin_permanent_cross_hair_8c_source.html#l00005">PluginPermanentCrossHair.c:5</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_acb2126e4f7ae79367f00dfaae098be49"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#acb2126e4f7ae79367f00dfaae098be49">PluginBase::m_Hud</a></div><div class="ttdeci">private ref Hud m_Hud</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d69/_plugin_permanent_cross_hair_8c_source.html#l00003">PluginPermanentCrossHair.c:3</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../dd/d69/_plugin_permanent_cross_hair_8c.html">PluginPermanentCrossHair.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
